textures/highhopes/icy
{
	qer_trans 0.80
	qer_editorimage textures/highhopes/sub/ice.tga

	surfaceparm slick
	surfaceparm trans
	surfaceparm glass
	surfaceparm nodamage
	tessSize 256

	{
		map textures/highhopes/sub/ice.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/highhopes/sub/ice_effect_dark.jpg
		tcgen environment
		blendfunc add
		alphagen const 0.1
	}
}



textures/highhopes/sky
{
	qer_editorimage textures/highhopes/sky/lbsky2_lf.tga
	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm sky
	skyparms textures/highhopes/sky/lbsky2 720 -
	q3map_sunExt 0.46 0.66 0.83 100 45.123 48.822 0.5 32
	q3map_skylight 120 8
}

textures/highhopes/water_fast
{
	qer_editorimage textures/highhopes/water.jpg
	qer_trans .7
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks
	surfaceparm nolightmap
	
	q3map_globaltexture
	q3map_lightimage textures/highhopes/siwa_water.tga
    	q3map_surfacelight 128
		q3map_lightsubdivide 64
	q3map_bounceScale 0.5
	cull disable
	nopicmip
	//nocompress

	//waterfogvars ( 0.06 0.09 0.09 ) 0.1

	{ 
		//fog on
		map textures/highhopes/siwa_water.tga
		blendFunc blend
		alphaFunc GE128
		depthWrite
		rgbgen identity
		tcmod scale 0.5 0.5
		tcmod scroll 0.0 -0.02
	}

	{ 
		map textures/highhopes/water.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll 0.0 -0.02
		alphaGen const 0.5
	}
	{ 
		map textures/highhopes/water2.jpg
		blendFunc GL_dst_color GL_one
		alphaGen const 0.5
		tcmod scale -.5 -.5
		tcmod scroll 0.0 -0.02
	}
}

textures/highhopes/sphere_green
{
	qer_editorimage textures/highhopes/tp_green.tga
	surfaceparm nodamage
    surfaceparm trans
	qer_trans 0.5
	q3map_surfacelight 500
	{
		map textures/highhopes/battery_clouds.tga
		blendfunc add
		rgbGen wave sin 0.5 0.4 0 0.025 
		tcMod scale 0.5 0.5
		alphaGen const 0.5
	}
	{
		map textures/highhopes/battery_clouds.tga
		blendfunc filter
		rgbGen const ( 0 0.3 0.6 )
		alphaGen const 0.5
		tcMod scroll 0.01 0.015
		tcMod scale 0.5 0.5
	}
	{
   	    map textures/highhopes/tp_green.tga
   		blendFunc GL_ONE GL_ZERO
    	rgbGen identity //vertex
    	tcGen environment
	}
}